Subject: Re: [alto] ***SPAM*** 7.152 (5) questions about the information alto server has

From: 朱潇 <[email-masked]>
Date: Tue, 17 Aug 2010 08:57:18 +0800

Hi, Richard

sorry for answering your mail so late. i am appreciated your answer very
much.

see inline.

在 2010年7月24日 上午10:26，Richard Alimi <[email-masked]>写道：

> Hi Xiao,
>
> Please see inline:
>
> 2010/7/15 朱潇 <[email-masked]>:
> > Hi Richard,
> >
> > thanks for your explanation:) see inline
> > 在 2010年7月14日 上午8:18，Richard Alimi <[email-masked]>写道：
> >>
> >> Hi Xiao,
> >>
> >> Please see inline:
> >>
> >> 2010/7/13 朱潇 <[email-masked]>:
> >> > Hi, Richard
> >> > thanks for your detailed explanation:) i am very appreciated.
> >> > some discussions are attached by in-line comments. Your comments
> >> > are welcomed.
> >> >
> >> > 在 2010年7月12日 下午9:30，Richard Alimi <[email-masked]>写道：
> >> >>
> >> >> Hi Xiao,
> >> >>
> >> >> 2010/6/22 朱潇 <[email-masked]>:
> >> >> > hi,all
> >> >> > some problems have risen up when I read the alto protocol draft. i
> >> >> >  am
> >> >> > not
> >> >> > sure whether we disuses the similar problem or not, `cause I has
> not
> >> >> > yet
> >> >> > tried to retriev the maillist to find the answers. So some help may
> >> >> > badly
> >> >> > needed!
> >> >> > 1 does alto server only need the information about traffic to
> >> >> > optimize
> >> >> > the
> >> >> > peer selection? if yes,does the relative information needs the
> Peers`
> >> >> > contributions, or just operators` own bossiness? If Peers` help are
> >> >> > needed,
> >> >> > how does Peer to upload or tell the alto server the relative
> >> >> > information,for
> >> >> > i did not catch the point in the alto protocol draft, or i miss it
> ?
> >> >>
> >> >> The ALTO Server may take into account any information available when
> >> >> determining costs between endpoints (and aggregation into PIDs).
> >> >>
> >> >> That said, the ALTO Protocol does not provide any mechanism for
> >> >> acquiring this information, meaning that a mechanism for gathering
> >> >> information from applications peers' directly is not provided.  This
> >> >> is intentional since the idea was for the ALTO Server to be
> >> >> application-independent.
> >> >> so maybe the information from the PoP will be collected by ALTO
> server?
> >>
> >> That is entirely possible. While the ALTO protocol does not provide
> >> such a mechanism, it is entirely reasonable (and I would think likely)
> >> for an ALTO Server to integrate with entities such as network
> >> management systems.
> >
> > what is your understanding about how does the ALTO server fulfill the
> > endpoints property and endpoints cost services? All about the endpoints
> > information related to traffic comes from PoP?
>
> As they are defined, the endpoint property and endpoint cost services
> are generic and could carry properties and costs that are derived from
> multiple sources. See Figure 1 in draft-ietf-alto-protocol-05 for an
> illustration.
>
> For example, for the endpoint cost service, the source of the
> information may depend on the type of cost.  If the cost is a
> hop-count, then computation from a static network topology may be
> enough.  As another possibility, an ALTO Server may also take into
> account aggregated traffic statistics (as was done in the P4P SIGCOMM
> 2008 paper).  The decision made by the provider of the ALTO Service.
>
>     where do you think does the static network topology
and aggregated traffic statistics come from?

> Does this answer the question?
>
> Thanks,
> Rich
>

-- 
Best wishes,

Beijing University of Posts & Telecommunications (BUPT)
Zhu Xiao  ( 朱潇 )
E-mail: [email-masked]
mobile:+86 134-8881-9004